.swade.sheet {
  .window-content {
    background: $light-pastel-blue;
  }

  // Content Tabs
  .tabs {
    border-bottom: 1px solid;

    .item {
      border: 1px solid $charcoal;
      background: $lapis-lazuli;
      border-radius: 4px 4px 0 0;
      margin: 0 5px -1px;
      padding: 4px;
      color: $light-pastel-blue;
      &:hover,
      &:focus {
        background: $charcoal;
        text-shadow: none;
      }
      &.active {
        background: $charcoal;
        border-bottom: 0;
        text-shadow: none;
      }
      &:first-of-type {
        margin-left: 0;
      }
      &:last-of-type {
        margin-right: 0;
      }
    }
  }

  // Generic checkbox styling
  .check-container {
    display: block;
    position: relative;
    padding-left: 30px;
    cursor: pointer;
    font-size: 14px;
    line-height: 20px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }
  }

  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #ccc;
  }

  .check-container {
    &:hover input ~ .checkmark {
      background-color: #2d3748;
    }

    input:checked ~ .checkmark {
      background-color: #2d3748;
    }
  }

  .checkmark:after {
    content: '';
    position: absolute;
    display: none;
  }

  .check-container {
    input:checked ~ .checkmark:after {
      display: block;
    }

    .checkmark:after {
      left: 6px;
      top: 2px;
      width: 5px;
      height: 10px;
      border: solid #ccc;
      border-width: 0 3px 3px 0;
      -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
    }
  }
  //End of Checkbox styling

  input[type='text'] {
    @extend %standalone-input-field;
  }
}

.card-dialog {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  .radio-card {
    min-width: 125px;
    max-width: 125px;
    flex-basis: auto;
    flex-grow: 1;
    text-align: center;
    margin-bottom: 5px;
    img {
      height: 100px;
      display: block;
      margin: auto;
    }
    /* HIDE RADIO */
    [type='radio'] {
      position: absolute;
      opacity: 0;
      width: 0;
      height: 0;
    }

    /* IMAGE STYLES */
    [type='radio'] + img {
      cursor: pointer;
      &:hover {
        box-shadow: 0 0 5px red;
      }
    }

    /* CHECKED STYLES */
    [type='radio']:checked + img {
      box-shadow: 0 0 5px red;
    }
  }
}

.sbt {
  &::before {
    content: 'S';
  }
}
.mbt {
  &::before {
    content: 'M';
  }
}
.lbt {
  &::before {
    content: 'L';
  }
}
.cone {
  &::before {
    content: 'C';
  }
}

.scrollable {
  overflow-x: auto;
}

.centered {
  text-align: center;
}

.effects-list {
  list-style: none;
  padding: 0;
  margin: 0;
  li {
    border-bottom: $decorative-line;
    padding-bottom: $small-spacing;
    margin-bottom: $small-spacing;
  }
  .effect-icon {
    flex: 0 0 24px;
    height: 24px;
    margin-right: $small-spacing;
    border: none;
  }
  .effect-label {
    flex: 1;
    line-height: 24px;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
  .effect-controls {
    line-height: 24px;
    flex: 0 0 60px;
    text-align: center;
  }
}
